<?php
$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("_363581c117f" . "38db6a8c5ce1" . "e95bae8c4" => base64_decode("dXNlci5ka" . "XJlY3Rvcn" . "k="), "_4d707fab93bebb00b" . "be69e8159697c90" => base64_decode(""));
use Claromentis\Core\User\Directory\UsersDirectoryInterface;





class UsersDirectory
{
    const USERID_AUTO = 0;
    
    
    
    
    
    
    
    protected static function GetAccessor()
    {
        global $g_application;
        return $g_application[$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_363581c117f38db6a8c5ce1e95bae8c" . "4"]];
    }
    public static function Enabled()
    {
        return self::GetAccessor()->Enabled();
    }
    
    
    
    
    
    
    
    
    public static function ControlsPassword(User $_24e0e36600d6af77406a44bb618a6253)
    {
        if ($_24e0e36600d6af77406a44bb618a6253->GetExtType() == $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_4d707fab" . "93bebb00b" . "be69e8159" . "697c90"]) {
            return false;
        }
        $_5fa340b0290d39311d1767523cb84ace = self::GetAccessor();
        return $_5fa340b0290d39311d1767523cb84ace->UserBelongs($_24e0e36600d6af77406a44bb618a6253);
    }
}